Cách sửa lỗi /wp-includes/update.php on line 295 và 457
4.4 (88.57%) 7 votes

Trong bài viết này Websitequangngai sẽ chỉ bạn cách sửa lỗi /wp-includes/update.php on line 295 và 457 ở WordPress ở phiên bản 4.0 và 4.1 và cả về các phiên bản sau.

Tại sao mình lại giám chắc chắn về điều này đến như vậy? thì qua bài viết này các bạn sẽ rõ. Trước tiên, mình sẽ giải thích nguyên nhân gây ra lỗi này cho các bạn:

  • Đầu tiên là vì website của bạn đã được khởi tạo trước khi phiên bản WordPress 4.0 và mới nhất là 4.1 ra đời, phiên bản gần đây nhất đó là WordPress 3.9 . Không phải là do bạn chưa cập nhập lên phiên bản WordPress mới nhất, vì khi ở mục update có thông báo nâng cấp lên phiên bản mới hơn thì bạn đã click vào update rồi. Nhưng ta cần phân biệt hai khái niệm khác nhau cơ bản ở đây:

+ Đó là các bạn đã update phiên bản WordPress mới nhất cho database để khắc phục các lỗi bảo mật và bổ sung thêm một số tính năng mới của WordPress. Điều này cũng tương tự ở các plugin.

+ Thứ hai, điều mà các bạn không hề biết đó là, bạn chưa hề update cho các file code của WordPress trên host, tập hợp các file này có đuôi mở rộng là .php và được đặt trong đường dẫn như wp-admin, wp-content, cùng một số file khác ở thư mục root (ngang hàn với wp-admin, wp-content). Nguyên nhân là do có rất nhiều file mà ở phiên bản sau sẽ có chỉnh sửa, thay đổi trong code php của một số file chứ không chỉ thay đổi ở database.

+ Thứ ba, là khi bạn cập nhập các plugin lên phiên bản mới nhất để tương thích với WordPress 4.0 và 4.1 + thì sẽ có một số plugin không tương thích với WordPress: chẳng hạn như hai plugin tiêu biểu đó là W3 total cache Wp-smush.it . Khi đó, các plugin này sẽ không thể tương thích với phiên bản WordPress vì các file có trong plugin điều được nhà phát hành thay đổi để tương thích với code php của WordPress chứ không chỉ là database.

  • Vậy khi cập nhập lên phiên bản WordPress mới nhất thì  sẽ thông báo các lỗi sau đây:

+ Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server’s configuration. If you continue to have problems, please try the support forums. (WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.) in /home/../public_html/domain.com/wp-includes/update.php on line 295

+ Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server’s configuration. If you continue to have problems, please try the support forums. (WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.) in /home/../public_html/domain.com/wp-includes/update.php on line 457

  • Thông thường các bạn sẽ lên Google và tìm tá lã, với một số kết quả tiêu biểu như: tắt thông báo lỗi này bằng các chèn một đoạn code vào file functions.php, tắt plugin nào đó…đúng không? 😛 . Ai lại làm thế, không chữa tận gốc thì lại tắt nó đi không thì lại tắt plugin. Đặc biệt là việc tắt hai plugin Wp-smush.it và W3 total cache thì thiệt thòi quá. Một số bạn thì lại chọn cách đó là chai lì với lỗi này và mặc kệ với thông báo của WordPress vì nó chỉ hiển thị với thành viên đăng nhập vào trang quản trị website (trúng tim đen rùi nhá :P)
  • Bây giờ, chúng ta sẽ khắc phục triệt để vấn đề này nhé, mình sẽ hướng dẫn một các thật cụ thể và chi tiết. Lưu ý, nếu bạn không yên tâm và sợ bị lỗi thì có thể backup toàn bộ code lẫn data về lưu trên máy để khi cần thì update lên lại.

+ Đầu tiên là tải phiên bản WordPress mới nhất trên WordPress.org về máy tính nhé.

Đăng ký tư vấn thiết kế và phát triển website qua số: Hotline: 0979 68 1779 hoặc Email: [email protected]

[button link=”https://wordpress.org/download/” target=”_blank” color=”red” shape=”rounded” size=”small” align=”right”]TẢI WORDPRESS[/button]

Bạn tải về và giải nén bằng phần mềm Winrar nhé, ta sẽ có được tập tin với tên wordpress, khi mở folder này lên bạn sẽ thấy các thư mục wp-admin, wp-content, wp-includes và một số file khác ở bên ngoài.

wordpress-4.1 source pack
Các file có trong source WordPress 4.1

+ Tiếp theo ta sẽ upload nó lên host, có hai các cho các bạn lựa chọn đó:

  • Bấm tổ hợp phím Ctrl + A  để chọn toạn bộ các file và folder trong file wordpress ,rồi chuột phải chọn Add to archive…=> Tick chọn ô zip và nhấn nút ok để nén file. Kết quả ta sẽ được một file wordpress.zip .
compress-zip-source-wordpress-4.1
Nén file zip sorce code WordPress 4.1

Bây giờ ta đăng nhập vào tài khoản host của website và upload file wordpress.zip này lên thư mục root của website ( ngang hàng với thư mục wp-admin, wp-includes) và giải nén ra. Nhớ cho phép ghi đè lên các file cũ đã có trên host.

upload-wordpress-4.1-to-host
Tải file wordpress.zip lên thư mục root của website và giải nén
  • Nếu không làm theo cách này thì bạn cũng đăng nhập vào tài khoản host bằng phần mềm ftp Filezila của website vào thư mục root và browse đến nơi bạn để folder wordpress trên máy tính, sau đó bấm tổ hợp phím Ctrl + A rồi chuột phải chọn upload hoặc nhấn nút Enter để nó upload toàn bộ file lên host (nhớ là cho phép ghi đè nhé (override).

+ Đến bây giờ, coi như đã hoàn tất quá trình upload source code WordPress phiên bản mới nhất cho website của bạn rồi đó. Nhưng đương nhiên là chưa xong đâu, các bạn cần cập nhập các plugin lên phiên bản mới nhất nhé, kể cả nếu chưa cập nhập lên wordpress 4.1 thì cũng làm thế nếu có thông báo trong trang Dashboard (mục update).

Cuối cùng, bạn vào file wp-config.php ở ngang thư mục root của website( ngang hàng với thư mục wp-content) và mở nó lên để kiểm tra. Bạn tìm đoạn mã sau:

[php]define(‘WP_DEBUG’, false);[/php]

Nếu nó là false thì tốt, nhưng nếu nó để là true thì bạn phải sửa giá trị thành false nhé. Nguyên nhân là khi bật hàm define này thành true thì nó sẽ cho phép quét các lỗi của wordpress, nhưng một số plugin như w3 total cache lại sẽ xuất ra lỗi trên. Bạn sửa lại đúng giá trị rồi lưu file lại nhé.

Tiếp theo, việc mà bạn cần làm là xóa các file cache do các plugin sinh ra( như W3 total cache, Wp super cache) . Các bạn có thể vào phần cài đặt tổng quan của các plugin này và chọn mục empty all cache để làm rỗng các file cache được lưu trên host. Nếu bạn biết một chút về cấu trúc của các file trên host thì có thể đăng nhập vào host và xóa nội dung bên trong các folder có tên là cache, minify… trong thư mục wp-upload của website cũng được.

Bây giờ, hãy chờ cho các plugin này tự động tạo ra cache mới, nếu bạn muốn an toàn thì có thể gỡ các plugin cache này ra và cài đặt lại. Đăng xuất tài khoản admin, tắt trình duyệt và sau đó mở lại trình duyệt và đăng nhập vào tài khoản admin để xem kết quả lỗi /wp-includes/update.php on line 295 và /wp-includes/update.php on line 457 có còn không nhé.

Đây là kinh nghiệm mà mình rút ra được đó, không phải đi copy đâu. Nếu các bạn có thắc mắc gì thì hãy để lại comment bên dưới.

Chú ý: Websitequangngai.com - Cung cấp các giải pháp Marketing Online trọn gói dành cho khách hàng. Gửi thông tin đăng ký qua Email:[email protected] Hoặc qua số Hotline: 0979 68 1779

2 Comement tại “Cách sửa lỗi /wp-includes/update.php on line 295 và 457”

  1. Mình cũng bị lỗi này nhưng trên bản wp cài mới hoàn toàn trên wordpress 4.2.4. Trước đây đã cài khoảng 5,6 site nhưng chưa bao h bị lỗi này. Cho hỏi ngoài nguyên nhân chưa update bản mới nhất như trên thì còn nguyên nhân nào không vậy admin ?

    1. Nói chung bạn phải thường xuyên vào trang quản trị của website để kiểm tra update các phiên bản mới nhất của wp và plugin. Nếu không thì có thể gây ảnh hưởng đến website của mình đấy. Chúc bạn sức khỏe và thành công/

Để lại ý kiến của bạn:

Email của bạn sẽ không được hiển thị công khai. Các trường bắt buộc được đánh dấu *